<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\FeedbackBogen;

abstract class SendeFeedbackFragenController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function createBaseRequestObj(): SendeFeedbackFragenRequest
  {
    return new SendeFeedbackFragenRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->createBaseRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->isPressedButtonAbsenden = \PostOperations::isDefined('button_absenden');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SendeFeedbackFragenPresenter($pUseCaseResponse);
  }
}